    Return the X-Spec abundance setting or elemental abundance.

get_xsabund(element=None)
element - str, optional

Return the current abundance setting, which in this case is 'angr', the default value for X-Spec:

>>> get_xsabund() 'angr'

The `set_xsabund` function has been used to read in the abundances from a file, so the routine now returns the string 'file':

>>> set_xsabund('abund.dat') >>> get_xsabund() 'file'
>>> get_xsabund('He') 0.09769999980926514

PARAMETERS

The parameter for this function is:

Parameter
Definition
element
When not given, the abundance table name is returned. If a string, then it must be an element name from: 'H', 'He', 'Li', 'Be', 'B', 'C', 'N', 'O', 'F', 'Ne', 'Na', 'Mg', 'Al', 'Si', 'P', 'S', 'Cl', 'Ar', 'K', 'Ca', 'Sc', 'Ti', 'V', 'Cr', 'Mn', 'Fe', 'Co', 'Ni', 'Cu', 'Zn'. Case is important.

The return value from this function is:

val -- When `element` is `None` , the abundance table name is returned (see `set_xsabund` ); the string 'file' is used when the abundances were read from a file. A numeric value is returned when an element name is given. This value is the elemental abundance relative to H.

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023